Bug 320812 - DigiKam crashed on cancelling face scan
Summary: DigiKam crashed on cancelling face scan
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.2.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 09:47 UTC by bartek
Modified: 2016-07-14 05:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bartek 2013-06-06 09:47:47 UTC
Application: digikam (3.2.0)
KDE Platform Version: 4.10.3
Qt Version: 4.8.1
Operating System: Linux 3.5.0-32-generic x86_64
Distribution: Ubuntu 12.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Face scan and I pressed button to cancel this action and DigiKam closed and showed bug report.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
__lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:93
[Current thread is 1 (Thread 0x7fdd054a8a00 (LWP 14537))]

Thread 17 (Thread 0x7fdce0596700 (LWP 14540)):
#0  0x00007fdcf79e833c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fdcf79e8599 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdcf79ac914 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdcf79acfaa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79ad49a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdce059b98b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#6  0x00007fdcf79ce9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdce0596700) at pthread_create.c:308
#8  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fdcdfd95700 (LWP 14541)):
#0  0x00007fdcfedfb313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fdcf79ad036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdcf79ad49a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdced1a4406 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fdcf79ce9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdcdfd95700) at pthread_create.c:308
#6  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fdcce0d7700 (LWP 14543)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdcffbdf4db in wait (time=18446744073709551615, this=0x2535f30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2535e38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005deb40 in ?? ()
#4  0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x2535bd0) at thread/qthread_unix.cpp:298
#5  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdcce0d7700) at pthread_create.c:308
#6  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fdccd8d6700 (LWP 14544)):
#0  0x00007fdcfedfb313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fdcf79ad036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdcf79ad164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdcffd0d426 in QEventDispatcherGlib::processEvents (this=0x7fdcc00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fdcffcdcc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fdcffcdced7 in QEventLoop::exec (this=0x7fdccd8d5b50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fdcffbdbfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fdcffcbc9ff in QInotifyFileSystemWatcherEngine::run (this=0x2538440) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x2538440) at thread/qthread_unix.cpp:298
#9  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdccd8d6700) at pthread_create.c:308
#10 0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fdccd0d5700 (LWP 14556)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdcffbdf4db in wait (time=18446744073709551615, this=0x27144d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x26d05a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdd02cec311 in ?? () from /usr/lib/digikam/libdigikamcore.so.3
#4  0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x26d0590) at thread/qthread_unix.cpp:298
#5  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdccd0d5700) at pthread_create.c:308
#6  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fdcb7653700 (LWP 14564)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdcb7653700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fdc9d7fa700 (LWP 14611)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:93
#1  0x00007fdcfed98231 in _L_lock_10655 () at malloc.c:5220
#2  0x00007fdcfed95fb7 in __GI___libc_malloc (bytes=140587148556064) at malloc.c:2921
#3  0x00007fdcffc269b3 in fromLatin1_helper (size=32, str=<optimized out>) at tools/qstring.cpp:3827
#4  QString::fromLatin1_helper (str=0x7fdcffdba250 "QSocketNotifier: Invalid socket %d and type '%s', disabling...", size=<optimized out>) at tools/qstring.cpp:3815
#5  0x00007fdcffc26abe in QString::fromLatin1 (str=<optimized out>, size=<optimized out>) at tools/qstring.cpp:3901
#6  0x00007fdcffc2ddff in QString::vsprintf (this=0x7fdc9d7f98b0, cformat=<optimized out>, ap=0x7fdc9d7f9908) at tools/qstring.cpp:5249
#7  0x00007fdcffbd486c in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtWarningMsg, msg=0x7fdcffdba250 "QSocketNotifier: Invalid socket %d and type '%s', disabling...", ap=0x7fdc9d7f9908) at global/qglobal.cpp:2313
#8  0x00007fdcffbd5044 in qWarning (msg=<optimized out>) at global/qglobal.cpp:2404
#9  0x00007fdcffd0cb3a in socketNotifierSourceCheck (source=0x397ed20) at kernel/qeventdispatcher_glib.cpp:90
#10 0x00007fdcf79acb43 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fdcf79acfd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007fdcf79ad164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007fdcffd0d3bf in QEventDispatcherGlib::processEvents (this=0x67ea0b0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#14 0x00007fdcffcdcc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#15 0x00007fdcffcdced7 in QEventLoop::exec (this=0x7fdc9d7f9b50, flags=...) at kernel/qeventloop.cpp:204
#16 0x00007fdcffbdbfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#17 0x00007fdcffcbc9ff in QInotifyFileSystemWatcherEngine::run (this=0x704c7d0) at io/qfilesystemwatcher_inotify.cpp:248
#18 0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x704c7d0) at thread/qthread_unix.cpp:298
#19 0x00007fdcfa1d3e9a in start_thread (arg=0x7fdc9d7fa700) at pthread_create.c:308
#20 0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fdc9f7fe700 (LWP 14612)):
#0  0x00007fdcf79e8345 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fdcf79e8599 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdcf79ac851 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdcf79acf5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79ad164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcffd0d426 in QEventDispatcherGlib::processEvents (this=0x7fdc88016010, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fdcffcdcc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fdcffcdced7 in QEventLoop::exec (this=0x7fdc9f7fdb50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fdcffbdbfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fdcffcbc9ff in QInotifyFileSystemWatcherEngine::run (this=0x6987110) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x6987110) at thread/qthread_unix.cpp:298
#11 0x00007fdcfa1d3e9a in start_thread (arg=0x7fdc9f7fe700) at pthread_create.c:308
#12 0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fdca57fa700 (LWP 14640)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdca57fa700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fdcb7e54700 (LWP 14641)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:93
#1  0x00007fdcfed97fb6 in _L_lock_3578 () at malloc.c:5220
#2  0x00007fdcfed9298b in _int_free (av=0x7fdcff0cb720, p=0x2af8ff0, have_lock=0) at malloc.c:4042
#3  0x00007fdcf79c559f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56b0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdcb7e54700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fdcb8655700 (LWP 14642)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdcb8655700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fdca7194700 (LWP 14652)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdca7194700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fdc9effd700 (LWP 14660)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdc9effd700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fdc9cff9700 (LWP 14661)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fdcfa1d609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdcfa1d601c in __pthread_mutex_lock (mutex=0x226dd50) at pthread_mutex_lock.c:101
#3  0x00007fdcf79e85a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdcf79c56d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdcfa1d3c83 in __nptl_deallocate_tsd () at pthread_create.c:156
#6  0x00007fdcfa1d3ea8 in start_thread (arg=0x7fdc9cff9700) at pthread_create.c:315
#7  0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fdc979de700 (LWP 14662)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007fdcffbdda9b in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x2598c20) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2598c20, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007fdcffbd986d in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007fdcffbdf48b in QWaitCondition::wait (this=<optimized out>, mutex=0x255b2d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#5  0x00007fdd02ced6a2 in Digikam::DynamicThread::DynamicThreadPriv::transitionToRunning() () from /usr/lib/digikam/libdigikamcore.so.3
#6  0x00007fdd02cedc14 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/digikam/libdigikamcore.so.3
#7  0x00007fdcffbd24f2 in QThreadPoolThread::run (this=0x3976bc0) at concurrent/qthreadpool.cpp:107
#8  0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x3976bc0) at thread/qthread_unix.cpp:298
#9  0x00007fdcfa1d3e9a in start_thread (arg=0x7fdc979de700) at pthread_create.c:308
#10 0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fdc971dd700 (LWP 14663)):
[KCrash Handler]
#6  malloc_consolidate (av=0x7fdcff0cb720) at malloc.c:4249
#7  0x00007fdcfed92b29 in malloc_consolidate (av=0x7fdcff0cb720) at malloc.c:4226
#8  _int_free (av=0x7fdcff0cb720, p=<optimized out>, have_lock=0) at malloc.c:4157
#9  0x00007fdd02cbe30b in Digikam::LoadSaveThread::run() () from /usr/lib/digikam/libdigikamcore.so.3
#10 0x00007fdd02cedc2e in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/digikam/libdigikamcore.so.3
#11 0x00007fdcffbd24f2 in QThreadPoolThread::run (this=0x397d870) at concurrent/qthreadpool.cpp:107
#12 0x00007fdcffbdefcb in QThreadPrivate::start (arg=0x397d870) at thread/qthread_unix.cpp:298
#13 0x00007fdcfa1d3e9a in start_thread (arg=0x7fdc971dd700) at pthread_create.c:308
#14 0x00007fdcfee06ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdd054a8a00 (LWP 14537)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:93
#1  0x00007fdcfed97fb6 in _L_lock_3578 () at malloc.c:5220
#2  0x00007fdcfed9298b in _int_free (av=0x7fdcff0cb720, p=0x2572e90, have_lock=0) at malloc.c:4042
#3  0x00007fdcffcf6dac in ~QVector (this=0x7f8ce10, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qvector.h:124
#4  ~QObjectConnectionListVector (this=0x7f8ce10, __in_chrg=<optimized out>) at kernel/qobject.cpp:255
#5  QObject::~QObject (this=0x5fe3770, __in_chrg=<optimized out>) at kernel/qobject.cpp:896
#6  0x00000000006ddb25 in ?? ()
#7  0x00000000006dca8a in ?? ()
#8  0x000000000051fc2a in ?? ()
#9  0x000000000051fcb9 in ?? ()
#10 0x00007fdcffcf7478 in QObject::event (this=0x5235590, e=<optimized out>) at kernel/qobject.cpp:1176
#11 0x00007fdd006da894 in notify_helper (e=0x7a74960, receiver=0x5235590, this=0x226dec0) at kernel/qapplication.cpp:4559
#12 QApplicationPrivate::notify_helper (this=0x226dec0, receiver=0x5235590, e=0x7a74960) at kernel/qapplication.cpp:4531
#13 0x00007fdd006df713 in QApplication::notify (this=0x7fff77bec0e0, receiver=0x5235590, e=0x7a74960) at kernel/qapplication.cpp:4420
#14 0x00007fdd01415006 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0x00007fdcffcdde9c in QCoreApplication::notifyInternal (this=0x7fff77bec0e0, receiver=0x5235590, event=0x7a74960) at kernel/qcoreapplication.cpp:876
#16 0x00007fdcffce1c6a in sendEvent (event=0x7a74960, receiver=0x5235590) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#17 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x22007a0) at kernel/qcoreapplication.cpp:1500
#18 0x00007fdcffd0cf93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#19 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#20 0x00007fdcf79acd53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fdcf79ad0a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fdcf79ad164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fdcffd0d3bf in QEventDispatcherGlib::processEvents (this=0x226c560, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#24 0x00007fdd00782d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007fdcffcdcc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007fdcffcdced7 in QEventLoop::exec (this=0x7fff77bebf60, flags=...) at kernel/qeventloop.cpp:204
#27 0x00007fdcffce1f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#28 0x0000000000490f93 in ?? ()
#29 0x00007fdcfed3476d in __libc_start_main (main=0x48fe20, argc=5, ubp_av=0x7fff77bec928, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff77bec918) at libc-start.c:226
#30 0x00000000004933f1 in _start ()

Possible duplicates by query: bug 269458, bug 262601, bug 217588.

Reported using DrKonqi
Comment 1 caulier.gilles 2014-05-16 07:30:48 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 2 caulier.gilles 2014-06-11 21:31:36 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 3 caulier.gilles 2014-06-11 21:40:25 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 4 caulier.gilles 2014-06-18 14:40:25 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 5 caulier.gilles 2014-06-24 12:43:29 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 6 caulier.gilles 2014-06-24 13:54:02 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 7 caulier.gilles 2014-08-24 09:01:29 UTC
We need a fresh feedback of this file using last digiKam 4.2.0

Gilles Caulier
Comment 8 caulier.gilles 2015-06-25 13:12:00 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 9 caulier.gilles 2015-08-20 06:54:08 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 10 caulier.gilles 2016-07-14 05:55:22 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier